Bug 1651375 - glibc: Descriptions of lang packages do not specify the language in a useful way
Summary: glibc: Descriptions of lang packages do not specify the language in a useful way
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carlos O'Donell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-19 21:03 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2019-10-08 13:39 UTC (History)
9 users (show)

Fixed In Version: glibc-2.30.9000-10.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-08 13:39:09 UTC


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2018-11-19 21:03:05 UTC
Description of problem:
$ dnf info glibc-langpack-sl
...
Description: The glibc-langpack-sl package includes the basic
  information required to support the sl language in your applications.

Is this 'slovak' or 'slovenian' or maybe something else? I'd need to use a web search to figure this out.

The same for all other languages...

Version-Release number of selected component (if applicable):
2.28-17.fc29

Comment 1 Mike FABIAN 2018-11-20 06:08:22 UTC
We could put langtable into  the buildrequires of glibc.spec and
then use langtable to generate that information:

[mfabian@Fedora-Workstation-netinst-x86_6 ~]$ python3
Python 3.7.1 (default, Nov  5 2018, 14:07:04) 
[GCC 8.2.1 20181011 (Red Hat 8.2.1-4)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import langtable
>>> langtable.language_name(languageId='sl')
'slovenščina'
>>> langtable.language_name(languageId='sl', languageIdQuery='en')
'Slovenian'
>>> 

Although I guess users of a certain language will know the iso code
of "their" language.

Comment 2 Zbigniew Jędrzejewski-Szmek 2018-11-20 06:18:23 UTC
langtable is only 124k, so I think it'd be worth it.

Comment 3 Carlos O'Donell 2019-03-07 19:57:30 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #2)
> langtable is only 124k, so I think it'd be worth it.

I agree. An increase in the glibc.spec file is perfectly acceptable if it produces easier to understand binary rpm description information. It doesn't increase installed size (by any appreciable amount).

Comment 4 Zbigniew Jędrzejewski-Szmek 2019-03-07 21:34:04 UTC
https://src.fedoraproject.org/rpms/glibc/pull-request/11


Note You need to log in before you can comment on or make changes to this bug.